-- | All failure exit codes that the program can return.
--
module ExitCodes (
  exit_arg_parse_failed,
  exit_arg_not_positive,
  exit_arg_out_of_bounds )
where

-- | Indicates that the command-line arguments could not be parsed.
exit_arg_parse_failed :: Int
exit_arg_parse_failed = 1

-- | One of the arguments that should be positive wasn't.
exit_arg_not_positive :: Int
exit_arg_not_positive = 2

-- | One of the arguments wasn't within the allowable bounds.
exit_arg_out_of_bounds :: Int
exit_arg_out_of_bounds = 3
